Bug 536676 - incomplete/truncated initrd when /boot is very close to full
incomplete/truncated initrd when /boot is very close to full
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: preupgrade (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-10 16:33 EST by Will Woods
Modified: 2010-12-03 22:24 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 22:24:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Will Woods 2009-11-10 16:33:02 EST
I attempted to preupgrade from F11 to F12 (currently rawhide) on a KVM guest with a very full /boot. 

(Note that due to the increased size of the F12 installer images and dracut-created initrd, this is a fairly common case.)

Since /boot was so close to full, anaconda at first refused to perform the upgrade, saying 8MB more space was needed. After running 'tune2fs -r 0 /dev/vda1' anaconda ran successfully. There were no scriptlet errors in /root/upgrade.log.

On reboot, the following messages appeared:
RAMDISK: incomplete write (22893 != 32768)
write error
Kernel panic - not syncing: VFS: Unable to mount root fs on unknown-block(0,0)

which seems to indicate a problem unpacking/finding the initrd. I retrieved the initrd and attempted to examine it, which led to some gzip/cpio errors:

gzip: /tmp/initramfs-2.6.31.5-127.fc12.x86_64.img: invalid compressed data--crc error
gzip: /tmp/initramfs-2.6.31.5-127.fc12.x86_64.img: invalid compressed data--length error
cpio: premature end of file

My guess is that some part of the initrd creation process did not check for sufficient free space and/or ignored an error about running out of space on the device.
Comment 1 Tom Mitchell 2009-11-22 01:48:29 EST
With a /boot filesystem it is too easy to end up with 
a bad upgrade for want of space.

preupgrade-gtk and friends should check if /boot is
an isolated filesystem and then check if it has sufficient
space for preupgrade tricks.

This applies to both a fc10-2-fc11 and an fc11-2-fc12 upgrade.

With changes to grub and since this is an easy check and 
since failure to notice the problem results in a badly broken 
system the priority should be improved. 

Example of what used to be a 'big enough' /boot
and why it is not.

$ df -h
Filesystem            Size  Used Avail Use% Mounted on
/dev/mapper/VolGroup00-LogVol00
                      273G  130G  129G  51% /
tmpfs                 1.8G  276K  1.8G   1% /dev/shm
/dev/mapper/VolGroup00-LogVol02
                       20G  189M   19G   2% /tmp
/dev/sda1             190M  158M   23M  88% /boot

$ du -s /boot/*
95	/boot/config-2.6.30.9-96.fc11.x86_64
228	/boot/efi
118	/boot/elf-memtest86+-2.11
389	/boot/grub
3632	/boot/initrd-2.6.30.9-96.fc11.x86_64.img
13	/boot/lost+found
116	/boot/memtest86+-2.11
1721	/boot/System.map-2.6.30.9-96.fc11.x86_64
146590	/boot/upgrade
3196	/boot/vmlinuz-2.6.30.9-96.fc11.x86_64
$
Comment 2 Fedora Admin XMLRPC Client 2010-04-16 10:35:11 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Jens Petersen 2010-04-30 02:35:54 EDT
Still happens preupgrade-1.1.5-1.fc12.
Comment 4 Jens Petersen 2010-04-30 02:56:58 EDT
but see bug 573451
Comment 5 Bug Zapper 2010-11-04 02:35:03 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2010-12-03 22:24:27 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.